Commit 625e2ee1 authored by Tails developers's avatar Tails developers
Browse files

auto/scripts/ikiwiki-supported-languages: use YAML::Syck.

We are currently bitten by a Unicode-related YAML::XS bug:
https://rt.cpan.org/Public/Bug/Display.html?id=54683
parent 523ef905
......@@ -32,7 +32,8 @@ use warnings;
use 5.10.1;
use IkiWiki::Plugin::po;
use YAML::XS qw{LoadFile};
use YAML::Syck;
$YAML::Syck::ImplicitUnicode = 1;
sub usage {
"Usage: ikiwiki-supported-languages YAML_IKIWIKI_SETUP_FILE";
......
......@@ -16,8 +16,7 @@ Depends: ${misc:Depends},
eatmydata,
gettext,
ikiwiki,
libyaml-perl,
libyaml-libyaml-perl (>= 0.34-1~),
libyaml-syck-perl,
live-build (>= 2.0.3),
perlmagick,
po4a,
......@@ -25,7 +24,7 @@ Depends: ${misc:Depends},
time,
whois
Conflicts:
libyaml-libyaml-perl (< 0.34-1~)
libyaml-libyaml-perl
Description: a Tor-ified, amnesic Live System
The Amnesic Incognito Live System is aimed at preserving its users' privacy:
- any outgoing connection to the Internet is forced to go through
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment